Sambaの複数の脆弱性(CVE-2018-1139, CVE-2018-1140, CVE-2018-10858, CVE-2018-10918, CVE-2018-10919)



08/14/2018にSambaの複数の脆弱性情報(CVE-2018-1139, CVE-2018-1140, CVE-2018-10858, CVE-2018-10918, CVE-2018-10919)が公開されました。今回はこれらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。


こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

08/14/2018にSambaの複数の脆弱性情報(CVE-2018-1139, CVE-2018-1140, CVE-2018-10858, CVE-2018-10918, CVE-2018-10919)が公開されました。今回はこれらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。




Priority

Moderate(CVE-2018-1139, CVE-2018-10858, CVE-2018-10918, CVE-2018-10919), Important(CVE-2018-1140)

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-1139
    • 弱い認証プロトコルが許可される可能性
    • 重要度 - Moderate
    • 対象バージョン:Samba 4.7.0 - 4.8.3
    • Samba 4.7.0 - 4.8.3ではNTLMv1が明白にサーバで無効にされていてもNTLMv1 over SMB1を用いた認証を許可してしまうエラーを含んでいます。
  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-1140
    • NULLポインタチェックの不備によりSamba AD DC over DNS/LDAPをクラッシュさせてしまう可能性
    • 重要度 - Important
    • 対象バージョン:4.8.0以降のSambaの全バージョン
    • LDBデータベースレイヤへの入力パラメータの幾つかのサニタイズが適切に行われていなかったため、LDAPサーバやDNSサーバをNULLポインタが発生させられることでクラッシュさせてしまいます。
  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-10858
    • libsmbclientでリッスンしているクライアントディレクトリの不充分な入力値チェックによるクライアントでのヒープメモリの書き換え
    • 重要度 - Moderate
    • 対象バージョン:Samba 3.2.0 - 4.8.3
    • Samba 3.2.0 - 4.8.3 ではlibsmbclientにエラーがあり、悪意のあるサーバがリスニングしているディレクトリ中で極端に長いファイル名を返すようにすることで、クライアントのヒープメモリを上書きすることが出来ます。
  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-10918
    • AD DC DRSUAPIサーバへのDoS
    • 重要度 - Moderate
    • 対象バージョン:4.7.0以降のSambaの全バージョン
    • Samba 4.7.0以降の全てのバージョンでは、SambaがAD Domainコントローラの際に"samba"プロセスをクラッシュさせてDoS状態を引き起こす事ができる脆弱性があります。LDBデータベースレイヤからの返り値のディレクトリ属性の出力チェックに不備があるため、DRSUAPIサーバでDsCrackNamesが呼び出される際にNULLポインタが発生し、クラッシュする可能性が有ります。
  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-10919
    • AD LDAPサーバからの重要な属性情報の漏洩の可能性へのDoS
    • 重要度 - Moderate
    • 対象バージョン:4.0.0以降のSambaの全バージョン
    • Samba 4.0.0以降の全てのバージョンでは、AD LDAPサーバで重要な属性値が漏洩する脆弱性があります。SEARCH_FLAG_CONFIDENTIAL (0x80) searchFlags bitと、ntSecurityDescriptorでの明示的に指定されたAccess Control Entryです。


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。< /p>

Red Hat Satelliteを用いた一般的なErattaの適用は、『Red Hat Satellite 6でerrataを適用してみる』を参考にして下さい。

また、サービスの再起動が発生しますので、pacemakerなどOSSのクラスタ製品LifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。

[参考]

https://www.samba.org/samba/security/CVE-2018-1139.html

https://www.samba.org/samba/security/CVE-2018-1140.html

https://www.samba.org/samba/security/CVE-2018-10858.html

https://www.samba.org/samba/security/CVE-2018-10918.html

https://www.samba.org/samba/security/CVE-2018-10919.html

セキュリティ系連載案内


セミナー情報 1

2018年10月22日から10月25日のCSS(Computer Security Symposium)2018で、「OSSセキュリティ技術ワークショップ(OWS) 2018特別セッション」 と題しまして、OSSセキュリティ技術の会後援で特別セッションを開催します。

https://www.iwsec.org/ows/2018/index.htmlにプログラム内容と一般論文申し込みの詳細を載せていきますので、是非御確認下さい(ページは更新中です)。

OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

前へ

gdmの脆弱性(CVE-2018-14424)

次へ

HW由来の脆弱性 (L1 Terminal Fault : CVE-2018-3615, CVE-2018-3620, CVE-2018-3624)